Install Rexxit: Jurassic Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (Rexxit: Jurassic Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select Rexxit: Jurassic Pack from the list on the left. The launcher will handle everything else!

Rexxit: Jurassic Pack Version 1.1.5

created by endermedia on Minecraft Version 1.7.10 using Technic Solder
You must be logged in to comment. Click here to register a new account or log in.
When ever I load the game, it wont work. It crashes my game and sends me back to the technic launcher. Can you please simply fix the problem? Thanks -Celtic
TheCelticElf 5 years ago
Game won't start up, PLEASE help
TAUROS01 5 years ago
Try re-installing it, Taur.
Posted by TheCelticElf 5 years ago
Hey, would it be possible to make NEI visible again in the next update? It's getting kinda annoying, because I don't know how to craft any of the stuff in the mods and I don't know what's in the mods completely yet. If you could, that'd be great. Thanks!
Gibbyfish 5 years ago
I think that would be a wonderful idea. Yet I haven't joined the server yet. If you can, simply just search the mods' crafting guide.
Posted by TheCelticElf 5 years ago
NEI is there, you jusy press"O" to toggle on/off
Posted by craven23 5 years ago
Game keeps crashing
Ericono 5 years ago
Yes, indeed it does. :(
Posted by TheCelticElf 5 years ago
You should add the Custom NPCs Mod, cuz I made a huge jurassic park and I feel it's kinda empty and it's almost impossible to play in the server cuz it's always full
Thiago177 5 years ago
I agree! :D
Posted by TheCelticElf 5 years ago
Feel free to add it yourself, we may consider adding Custom NPC's for future updates.
Posted by Amaxter 5 years ago
I too have the crash when launching problem on mac, I have the latest versions. The problem is probably about forge microblocks, it crashes right when the launcher is loading it. Looks like a great mod please fix this
cozger 5 years ago
i have 4 ram and 64 bit java but its still crashing WHY?!?!?!
LemonGrab 5 years ago
Do you mean you have 4GB RAM in your computer or 4GB allocated to the technic launcher?
Posted by craven23 5 years ago
it wont work whenever I click play it will start to load then it will crash and take me back the lancher
herobrine72622 5 years ago
same here any solutions
Posted by LemonGrab 5 years ago
With many modpacks they reqire at least 3/4GB RAM to run. Go to your technic launcher settings (the gear icon) and allow 3/4GB of RAM. If you do have a new-ish computer and cant add more than 1GB you may still be running 32-bit java. To fix this (hopefully) you need to go to the JAVA website and download the 64-bit java of the version you need. Both 32-bit and 64-bit can run on the same computer and you need 32-bit for some browsers do do not delete the 32-bit. If, on the other hand your computer cannot run 64-bit java then I am afraid you will not be able to play most modpacks. I hope this helps.
Posted by craven23 5 years ago
Server is way too small for such an awesome modpack. Make it bigger!
Dolphinator1999 5 years ago
Server is always full...
Land of Legend 5 years ago
why remove archimedes?
Cmous3 5 years ago
They also removed the visibilty for NEI when in the inventory, or they may have gotten rid of it entirely.. I didn't know they removed Archimedes, though.
Posted by Gibbyfish 5 years ago
I would guess Archimedes is to help with the lag, which is sorely needed. And NEI is there, you toggle it on/off with "O".
Posted by craven23 5 years ago
I was wondering if there are any custom texture packs flying around that anyone would like to share or if there is a website with any texture packs on a link would be great
craddrock 5 years ago
is there a server for this moddpack, ive been trying to find amodded server for a while
trollacornREX 5 years ago
can you add smart moving and custom npcs
calbe101 5 years ago
It dosent work for me when i open it, it just shuts down and i dont even get to see the minecraft screen
snowfox999 5 years ago
You need a 64-bit java, also try giving more RAM to it, 2-3 should be good
Posted by Land of Legend 5 years ago
With many modpacks they reqire at least 3/4GB RAM to run. Go to your technic launcher settings (the gear icon) and allow 3/4GB of RAM. If you do have a new-ish computer and cant add more than 1GB you may still be running 32-bit java. To fix this (hopefully) you need to go to the JAVA website and download the 64-bit java of the version you need. Both 32-bit and 64-bit can run on the same computer and you need 32-bit for some browsers do do not delete the 32-bit. If, on the other hand your computer cannot run 64-bit java then I am afraid you will not be able to play most modpacks. I hope this helps.
Posted by craven23 5 years ago
Get your Steam Gift Card at http://steamgifts.eu/ I got my Steam Gift Card there!
Arytomb 5 years ago
NEI not workin for me. Someone else got that Prob?
Horatis 5 years ago
NEI is there, just need to press O while in your inventory :)
Posted by craven23 5 years ago
Yes. Thx. Just posted and saw the answer afterwards. I have to slow eyes ;-)
Posted by Horatis 5 years ago
How do you get out of the server spawn?
nanobug22 5 years ago
i got banned for saying WTH XD for 15 mins and im still banned.
MrSmiley 5 years ago
my name is x_KingPin_x
Posted by MrSmiley 5 years ago
Yeah that profanity filter needs to go. Im ok with banning the big swear words etc but getting times out for saying wtf/wth? its a modpack with unpredictable events...its gunna be said a lot...
Posted by craven23 5 years ago
after I'm done loading all the mods when you start it up it kicks me out and back to the Technic screen what should I do?
justor327 5 years ago
You need a 64-bit java, so if you don't have one it won't run, also try applying more RAM, like 2-3 GB
Posted by Land of Legend 5 years ago
With many modpacks they reqire at least 3/4GB RAM to run. Go to your technic launcher settings (the gear icon) and allow 3/4GB of RAM. If you do have a new-ish computer and cant add more than 1GB you may still be running 32-bit java. To fix this (hopefully) you need to go to the JAVA website and download the 64-bit java of the version you need. Both 32-bit and 64-bit can run on the same computer and you need 32-bit for some browsers do do not delete the 32-bit. If, on the other hand your computer cannot run 64-bit java then I am afraid you will not be able to play most modpacks. I hope this helps.
Posted by craven23 5 years ago

Latest Update

Introducing our latest modpack, Mianite Reborn, everything you wish Mianite S3 would have been, including an awesome community server, learn more at http://endr.me/reborn